[Upstream] Base tables load sort slow bad jre

Bug #686028 reported by Anita on 2010-12-06
48
This bug affects 15 people
Affects Status Importance Assigned to Milestone
LibreOffice
Fix Released
High
OpenOffice
Unknown
Medium
Sun Java
New
Undecided
Unassigned
libreoffice (Debian)
Fix Released
Unknown
libreoffice (Ubuntu)
High
Unassigned
openjdk-6 (Debian)
Fix Released
Unknown
openjdk-7 (Debian)
Fix Released
Unknown
openoffice.org (Ubuntu)
Undecided
Unassigned
sun-java6 (Debian)
Fix Released
Unknown

Bug Description

Binary package hint: openoffice.org

1) lsb_release -rd
Description: Ubuntu 11.10
Release: 11.10

2) apt-cache policy libreoffice-base
libreoffice-base:
  Installed: 1:3.4.4-0ubuntu1
  Candidate: 1:3.4.4-0ubuntu1
  Version table:
 *** 1:3.4.4-0ubuntu1 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        100 /var/lib/dpkg/status
     1:3.4.3-3ubuntu2 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

apt-cache policy openjdk-6-jre
openjdk-6-jre:
  Installed: 6b23~pre11-0ubuntu1.11.10
  Candidate: 6b23~pre11-0ubuntu1.11.10
  Version table:
 *** 6b23~pre11-0ubuntu1.11.10 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric-updates/main i386 Packages
        500 http://security.ubuntu.com/ubuntu/ oneiric-security/main i386 Packages
        100 /var/lib/dpkg/status
     6b23~pre10-0ubuntu5 0
        500 http://us.archive.ubuntu.com/ubuntu/ oneiric/main i386 Packages

3) What is expected to happen in Base via the Terminal:

cd ~/Desktop && wget https://bugs.launchpad.net/ubuntu/+source/openoffice.org/+bug/686028/+attachment/2166527/+files/test.odb && lobase -nologo test.odb

click Tables icon on left -> secondary click Books -> click Open

is clicking page down within the table itself moves instantly or near instantly.

4) What happens instead is it takes 5 seconds for it to go down 11 rows.

Problem reproducible using:
jre-6u23-linux-i586.bin
jre-6u24-linux-i586.bin
jre-6u25-linux-i586.bin
jre-6u26-linux-i586.bin
jre-6u27-linux-i586.bin
jre-6u29-linux-i586.bin
jre-6u30-linux-i586.bin

*jre-6u28-linux-i586.bin not found on Oracle archive page.

Original Reporter Comments: I note that jre was upgraded recently and that was when the problem began. My conclusion is that there is a problem with the jre installed recently:
ii openjdk-6-jre 6b20-1.9.2-0ubuntu1~10.04.1
ii openjdk-6-jre-headless 6b20-1.9.2-0ubuntu1~10.04.1
ii openjdk-6-jre-lib 6b20-1.9.2-0ubuntu1~10.04.1

Upstream bug link for sun-java6-jre and openjdk-6-jre (as openjdk bugzilla not fully operational yet):
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7024514

WORKAROUND: Go to http://www.oracle.com/technetwork/java/javasebusiness/downloads/java-archive-downloads-javase6-419409.html#jre-6u22-oth-JPR and download jre-6u22-linux-i586.bin, then via the Terminal:

sudo mv jre-6u22-linux-i586.bin /opt && cd /opt && sudo sh jre-6u22-linux-i586.bin

open the desired Base file -> Tools -> Options -> Java -> click 1.6.0_22 radio button -> close all LO applications running -> re-open Base file and it works fine.

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: openoffice.org-base 1:3.2.0-7ubuntu4.1
ProcVersionSignature: Ubuntu 2.6.32-26.48-generic 2.6.32.24+drm33.11
Uname: Linux 2.6.32-26-generic i686
Architecture: i386
Date: Mon Dec 6 10:31:57 2010
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.utf8
 SHELL=/bin/bash
SourcePackage: openoffice.org

Anita (a-lewis) wrote :
Friedrich Dimmling (f-dimmling) wrote :

I have the same problem. Base scans about 6 entries per second when searching, which is at least an order of magnitude less than before and makes Base unusable, e.g. searching a table of 6000 entries takes around 1000 seconds!!
However I did not succeed in replacing the JRE, I installed the Java package in /opt but OO does not see a jre in any of the directories. What else do I have to do besides copying the jre1.6.0_22 directory to /opt??

Friedrich

Friedrich Dimmling wrote, On 12/08/2010 07:10 AM:
> I have the same problem. Base scans about 6 entries per second when searching, which is at least an order of magnitude less than before and makes Base unusable, e.g. searching a table of 6000 entries takes around 1000 seconds!!
> However I did not succeed in replacing the JRE, I installed the Java package in /opt but OO does not see a jre in any of the directories. What else do I have to do besides copying the jre1.6.0_22 directory to /opt??
>
> Friedrich
>

http://www.java.com/en/download/manual.jsp?locale=en&host=www.java.com

Linux (self-extracting file) filesize: 20.2 MB

I put this bin file into /opt and changed directory to /opt.
Then sudo chmod +x <filename>
Then sudo ./<filename> and it was installed in /opt.

Be sure to look at the instructions they give.

Anita

And, after installing a new JRE, simply go to Tools > Options > Java in OO, press Add button and specify path to /bin folder of a new JRE (e.g. /opt/jre/bin), then restart OO.

How to install JRE from binary package:
http://www.java.com/en/download/help/5000011400.xml
(just another link to official instruction)

Anita (a-lewis) wrote :

In private communication, I found that Friedrich was doing the install and path specification correctly. I tried it again and it also failed for me. I then determined that the procedure used in navigating to the path in the Add window in OOo is important. It works if I use the mouse to double-click my way to the path using File System -->opt -->jre1.6.0_22. When I see the contents of that directory in the window, I click on OK and it accepts the path.

If I use the same procedure, but instead type in /opt/jre1.6.0_22 or even add bin/ on the end of the pathname, and then click OK, it fails.

Anita (a-lewis) wrote :

The final resolution for Friedrich was to install the bin in /usr/lib/jvm. That directory contains the original java-6-openjdk which is not working correctly with openoffice.org. After installing jre-6u22-linux-i586.bin in /usr/lib/jvm, open office was able to find it automatically. Then it was only necessary to select the newly installed jre and the tables work as they should.

Changed in openoffice.org (Ubuntu):
status: New → Confirmed
Vlad REU (vladreu) wrote :

Same problem but none of above solutions have worked for me. I have used jre-6u23-linux-i586 instead of 6u22, because can't find it. Thank you anyway, I'll keep trying.

Anita (a-lewis) wrote :

Vlad REU, you are right. I installed 6u23 on my machine and tried it with OOo and it is slow. It is not as slow as the original, but not fast like 6u22. I have uploaded the copy of 6u22 to here. I've never uploaded like this before; so let me know if there is a problem. http://www.megaupload.com/?d=3WAT9GVY

Roman Yagodin (roman-yagodin) wrote :

Removing / Installing OOo Base shows up an FSF JVM in list of JVM's, available for OOo. With FSF JVM, OOo Base is faster than with buggy 6b20, but still much slower than with 6u22. I've not tested current 6u23 version.

I only have a 6u22 binary package for Linux x64, here it is:
http://www.vgsha.ru/portals/0/etc/jre-6u22-linux-x64.bin.7z.001
http://www.vgsha.ru/portals/0/etc/jre-6u22-linux-x64.bin.7z.002
http://www.vgsha.ru/portals/0/etc/jre-6u22-linux-x64.bin.7z.003

Roman Yagodin (roman-yagodin) wrote :

Oops!.. Sorry for unconfigured webserver. Please add ".zip" extension to those links to download, then remove it.
Original links will be working on monday, 2010-12-20.

Vlad REU (vladreu) wrote :

Thank you Anita, download was fast, oo base it is like new. My main form, with many tables and buttons is charging now in 5 seconds. With 6u23 version I count no less then 7 minutes! In this period of oo base slowness I migrated on php mysql continuing an older project. Wich one will resist in time? Thank you again.

I copied that from the users list.

Reproduce:
- Install OOo 3.3 or less
- Install JRE 1.6 update 23 or higher
- Open any hsqldb (default) database which includes a table (100 or more rows)

=> wait

I did some performance tests and the problem seems to be in
java.net.PlainSocketimpl.socketAccept It tooks double to 10 times longer as before in update 22.

- oj

>>
Hi All

Further to this, I have a Base for that, when using JRE 1.6 update 22, opens basically immediately, and yet, takes at least 15 minutes to open when using the latest JRE update. Is this going to be fixed, I raised it as an issue on the new OpenOffice structure, well I think I did, it's far from as intuitive as it used to be, also noticed that my original issues appear to have disappeared from the issues list !! Is this issue likely to be resolved? I have to admit, I have more problems with OO in the last 2 months, than I have since I first downloaded it, pre version 1.0, and I have to admit, I'm starting to get just a little disillusioned.

Cheers

Tony

On 25/02/11 23:13, Tony Smith wrote:

    Hi All

    Sun released a jre update recently, update 24. If you upgrade java to this version, you will render, SOFFICE Base forms, virtually useless. Whatever the change has been, forms that do work will load slowly, very, very slowly in some cases, you will also notice your CPU hit 100% for the soffice process.

    I have tested this in the following scenarios

    OO 3.2, 32 bit, on a netbook, ad PC hence why I have not updated OO to 3.3

    LO 3.3 64 Bit laptop

    OO 3.3 64 Bit laptop

    All exhibit exactly the same behaviour, stick JRE 6 Update 22, as this works perfectly.

    Cheers

    Tony

The JRE6 update 24, the newest version of Java.

I was using LibreOffice 3.3.0 and then upgraded 3.3.1. Base worked instantly in Ubuntu 10.10 with a quad core AMD 910 processor and 8 gigs of ram, It takes one core at 100% about 15 to 20 seconds to go from the first record in a form to the last record in a form in a realtively simple database with 2300 records. Apparently this is tied with the release of Java 1.6.0_24. Base worked fine with 1.6.0_22. It will not work properly with Java 1.6.0_20 either. This issue is in your forums. It also is affecting OpenOffice base in the same way according to information in the OpenOffice forums. I have my database on 4 different computers and the issue is on all of them with Ubuntu 10.10. It is significantly slower on the older, slower machines than what I stated above. It is also sluggish when pulling data from a database to do a mailmerge.

Hi Don,

Is this still the case, or has the problem now gone away, say, with further Ubuntu updates ?

Alex

It would also be good to test on a more recent version of LibreOffice. Version 3.3.2 is currently the stable, version 3.4 will be out soon and is currently in rc1.

Alex

Hi again,

I'm running 3.3.2 now on all my computers. When things got messed up was
when Java went from version 6-22 to 6-24. When 3.3.4 is finalized I will
upgrade to that. Also I'm using the version directly from LibreOfice,
not the Ubuntu version.

Don

On 05/24/2011 06:05 AM, <email address hidden> wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=35023
>
> --- Comment #2 from Alex Thurgood<email address hidden> 2011-05-24 03:05:40 PDT ---
> It would also be good to test on a more recent version of LibreOffice. Version
> 3.3.2 is currently the stable, version 3.4 will be out soon and is currently in
> rc1.
>
> Alex
>

Hi Alex,

I've upgraded to Ubuntu 11.04. The same issue still persists. Sometimes
on my most powerful computer it doesn't seem quite as bad. But base is
far from working like it always used to. I've used it ever since it was
part of OpenOffice. Would it make sense, or is it possible for
LibreOffice to include a minimal java package with the download so
LibreOffice is independent of anything java might mess up?.

Don

On 05/24/2011 06:04 AM, <email address hidden> wrote:
> https://bugs.freedesktop.org/show_bug.cgi?id=35023
>
> Alex Thurgood<email address hidden> changed:
>
> What |Removed |Added
> ----------------------------------------------------------------------------
> Keywords| |NEEDINFO
>
> --- Comment #1 from Alex Thurgood<email address hidden> 2011-05-24 03:04:34 PDT ---
> Hi Don,
>
> Is this still the case, or has the problem now gone away, say, with further
> Ubuntu updates ?
>
> Alex
>

Bug confirmed for LibreOffice 3.3.2 on Ubuntu 10.10.
Java-Version: 6.24.

Because of this bug, base is barely usable. Some measurments I took on my machine with a single core 1.8Ghz processor:

Opening a table mit 1.500 entries takes about 30 seconds. Jumping to the last entry takes in the very same table takes anouther 2 minutes and 30 seconds.

Bug confirmed for LibreOffice 3.3.2 on Ubuntu 10.10.
Java-Version: 6.24.

Because of this bug, base is barely usable. Some measurments I took on my machine with a single core 1.8Ghz processor:

Opening a table 1.500 entries takes about 30 seconds. Jumping to the last entry in the very same table takes another 2 minutes and 30 seconds.

Björn, lots of mentions of Ubuntu here, want to take this one? Feel free to assign back to list...

Anita, thank you for reporting this bug and helping make Ubuntu better. Could you please attach a spreadsheet that demonstrates this problem? When you mention tables load slowly, specifically how much more slowly in comparison? Does LibreOffice Calc work better for you?

sudo add-apt-repository ppa:libreoffice/ppa && sudo apt-get update && sudo apt-get -y upgrade && sudo apt-get -y install libreoffice-calc

Changed in openoffice.org (Ubuntu):
status: Confirmed → Incomplete
Changed in libreoffice (Ubuntu):
status: New → Incomplete
Anita (a-lewis) wrote :

Hi Christopher. Wow, it has been a long time since I reported this. I am talking about Base, not Calc. I have since upgraded to Ubuntu 11.04.

I am currently using LibreOffice, but I see that I am still using jre1.6.0_22. It works well with this.

I see that I have java-6-openjdk installed. Should I try using the java in that to see how it works? I'm sure I installed jre1.6.0_22 myself, because I still have the .bin file in /usr/lib/jvm.

Anita (a-lewis) wrote :

I tried the java-6-openjdk out and it is very sluggish in all aspects that I tried. Opening a table is slow and the bigger the table, the slower it is. I set it back to the jre1.6.0_22 that I had installed and it was snappy again, very quick.

In the Java options I find two by Sun. They look nearly the same:

v 1.6.0_22 with accessibility in /usr/lib/jvm/java-6-openjdk/jre - this is the slow one

same version number, but nothing about accessibility in /usr/lib/jvm/jre1.6.0_22

The second one is the one I installed back in December using jre-6u22-linux-i586.bin

Anita (a-lewis) wrote :

I forgot about the version on LibreOffice:

ii libreoffice-base 1:3.3.2-1ubuntu5
ii libreoffice-base-core 1:3.3.2-1ubuntu5

This is on an upgrade to 11.04 which I did from 10.4 to 10.10 to 11.04 Ubuntu.

Anita, I beg your pardon, I mis-read the bug description which clearly states Base, not Calc. Could you please attach an example Base file that when you use the different Java versions, demonstrates this problem?

Anita (a-lewis) wrote :

Thanks, Christopher. It will be called test.odb and is a copy of my database with numerous tables deleted to make it smaller. I checked this test.odb with both versions of Java and got the fast loading/operation with one and slow loading/operation with the other.

Changed in libreoffice (Ubuntu):
status: Incomplete → New
Changed in openoffice.org (Ubuntu):
status: Incomplete → Confirmed
Marius B. Kotsbak (mariusko) wrote :

Reproduced with libreoffice with the above file using Sun Java 6.24-1build0.10.10.1.

Changed in libreoffice (Ubuntu):
status: New → Confirmed
Marius B. Kotsbak (mariusko) wrote :

Has anyone tried with gcj? Seems it uses hqslDB, which is a in memory database supposed to be faster than traditional databases. But has anyone compared performance with using external database?

The performance remains weak in 3.4.1, Java version 1.6.0_26.

I was so hopeful when the next update of Java from Java version 1.6.0_24 was released that it would make Base work like it had for many years. I'm running completely updated Ubuntu 11.04 systems and presently LibreOffice 3.4.1 and the performance is still just as bad with Java version 1.6.0_26 as it was when Java version 1.6.0_24 was released. Would it not be possible for LibreOffice to ship with a basic java package included just for LibreOffice so these issues would not happen?

This has been confirmed multiple times on the users mailing list.

The only current workaraound is to downgrade the Java version to _u21 or _u22, both of which are unfortunately known to contain serious security issues.

There is a thread on the user mailing list which indicates how to have several versions of the Java environment installed on a Ubuntu machine and then be able to choose which version one wants to run with LibreOffice.

As the problem appears to lie with the JDK version and not LibreOffice as such, and there is a workaround, I'm setting this issue to resolved "not our bug".

Alex

Changed in openoffice.org (Ubuntu):
status: Confirmed → Won't Fix

[This is an automated message.]
There are no new official OpenOffice.org releases in Ubuntu packaging anymore => Won't Fix

If the problem persists, please mark this bug as "also affects project Libreoffice" or "also affects distribution Libreoffice (Ubuntu)" if that has not happened already.

Please leave references to upstream OpenOffice.org bugs in place to allow cross pollination.

It is still not sure that this is a Java bug (it could be as a result of an intended change in Java) or what the the actual change in Java is that is causing the problem.

I have uploaded an strace at http://wiki.documentfoundation.org/File:Bug_35023_strace.log.7z for these operations:

Start 19:05
Open test.odb
Go to tables pane 19:06:22 - 19:06:40
Open table 19:07 - 19:08 (first show) - 19:08:45 (finish loading 1st page)
Maximise 19:09:07 - 19:09:35 (finish loading 1st page)
Go to last record 19:09:50 - 19:11:56

A continuing problem with Java 6 JRE, unclear if any improvement yet in 7 given problems of LO not recognizing JRE 7 on install or if selected as JRE.
Ref: https://bugs.freedesktop.org/show_bug.cgi?id=39659

Recent LO Dev forum exchanges:
http://nabble.documentfoundation.org/Trying-to-diagnose-base-running-extremely-slowly-tt3426499.html#none

And issue with Java stack guard as detailed in these Sun/Oracle Java related bug reports:

http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7024514
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6978641
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6929067

Status changed to 'Confirmed' because the bug affects multiple users.

John Talbut (i-jt) on 2011-12-07
affects: openjdk-6 (Ubuntu) → openjdk-7 (Ubuntu)
Changed in openjdk-7 (Ubuntu):
status: New → Confirmed
John Talbut (i-jt) on 2011-12-07
affects: openjdk-7 (Ubuntu) → openjdk-6 (Ubuntu)
Changed in openjdk-6 (Ubuntu):
status: New → Confirmed
Changed in openjdk-6 (Ubuntu):
status: New → Confirmed
Changed in libreoffice (Debian):
status: Unknown → Confirmed
description: updated
Changed in openjdk-6 (Debian):
status: Unknown → Confirmed
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in sun-java6 (Ubuntu):
status: New → Confirmed
summary: - tables load sort slow bad jre
+ Base tables load sort slow bad jre
Changed in sun-java6 (Debian):
status: Unknown → Fix Released
Changed in df-libreoffice:
importance: Unknown → High
status: Unknown → Won't Fix
description: updated

Including all the duplicates, we have at least 29 Ubuntu users affected by this bug. Marking openjdk-6 (Ubuntu) Triaged High as it has a severe impact on a small portion of Ubuntu users.

Changed in openjdk-6 (Ubuntu):
importance: Undecided → High
status: Confirmed → Triaged
John Talbut (i-jt) wrote :

This also affect LibreOffice in Debian testing using openjdk-7

Changed in openjdk-7 (Debian):
status: Unknown → Confirmed

This bug is certainly not resolved yet and it is a LibreOffice problem until we are sure that the problem has been correctly identified and solved.

Changed in df-libreoffice:
status: Won't Fix → Confirmed

The question in my mind is why does it work with jre1.6.0_22 from Java? I originally reported this bug with OpenOffice.org a year ago and I've since switched to LibreOffice. I've kept the version of java that works with it, but have tried each new java when it has been installed with upgrades to my system. Why does it work with that one java and not the others that we get from the repositories for Ubuntu. I vaguely recall that the source of java changed some time back. I wonder if I should try a newer version from java.com. I'll see if I can do that and report back.

Anita (a-lewis) wrote :

Downloaded jre-6u30-linux-i586.bin from java.com and installed it system-wide. I get the same slow response with it as with java-6-sun-1.6.0.26 from the repository. I selected jre1.6.0_22 again and it works fast again.

description: updated

*** Bug 42236 has been marked as a duplicate of this bug. ***

Anita

Have a look at https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/686028/comments/38 above. It appears that a bug fix that was made to Java after 6.0_22 has caused the problem.

Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.

Fixed as <http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-3-5&id=cbc1ddba1bbe8843e0b31d39cb5c04f7b6518925> "Confine JDBC driver to thread-affine apartment for Java 6 performance."

From <http://nabble.documentfoundation.org/Trying-to-diagnose-base-running-extremely-slowly-tp3426499p3653136.html>:

"One rather easy fix would be to confine the
com.sun.star.comp.sdbc.JDBCDriver UNO code to a thread-affine apartment,
see the attached patch. That way, all code related to this UNO service
(which is the code that calls Attach/DetachCurrentThread so frequently
and thus causes the performance degradation) is run in a single,
dedicated thread.

"That thread is guaranteed not to be the main thread (as the
thread-affine apartment explicitly creates it), so JVM versions that
include the fix for
<http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=6978641> 'Fix for
6929067 introduces additional overhead in thread creation/termination
paths' (which significantly reduces the overhead of
Attach/DetachCurrentThread for all but the main thread again) should
return to an acceptable performance. Trying it out on Fedora 16, which
includes version 1.6.0_22 of OpenJDK, the patch noticeably improves
performance of the test scenario described at
<https://bugzilla.redhat.com/show_bug.cgi?id=661738#c0>.

[...]

"I did not find problems with using the thread-affine apartment, but then
again my Base skills are virtually non-existent, so this would probably
need some QA. However, there is also already another SDBC driver that
uses the thread-affine apartment, namely the Windows-specific ADO driver
(com.sun.star.comp.sdbc.ado.ODriver)."

So, please somebody QA the Base JDBC driver thoroughly.

Changed in libreoffice (Debian):
status: Confirmed → Fix Released

LibreOffice 3.5.0rc3
7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Ubuntu 10.04.3 x86
Linux 2.6.32-38-generic Russian UI

Now speed with 1.6.0_20 and 1.6.0_22 seems to be equal.

Changed in df-libreoffice:
status: Confirmed → Fix Released

libreoffice (Ubuntu) -> Fix Committed High as per commit from comment #47.

Changed in libreoffice (Ubuntu):
importance: Undecided → High
status: Confirmed → Fix Committed
summary: - Base tables load sort slow bad jre
+ [Upstream] Base tables load sort slow bad jre

*** Bug 46009 has been marked as a duplicate of this bug. ***

cbc1ddba1bbe8843e0b31d39cb5c04f7b6518925 is included in LibreOffice 3.5, which is released:
 https://launchpad.net/ubuntu/+source/libreoffice/1:3.5.0~beta2-2ubuntu4
to Precise. => Fix released

Changed in libreoffice (Ubuntu):
status: Fix Committed → Fix Released
no longer affects: openjdk-6 (Ubuntu)
no longer affects: sun-java6 (Ubuntu)
Changed in openjdk-6 (Debian):
status: Confirmed → Fix Released
Changed in openjdk-7 (Debian):
status: Confirmed → Fix Released

getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.

Changed in openoffice:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.